<div class="container">
  {{#link-to "photos"}}<button class="btn btn-primary btncustom" id="homebutton">Home</button>{{/link-to}}
  <h6>Image Title:{{model.title}}</h6>
  <div class="col-sm-8">
    <p><img src={{model.url}} alt="image preview" id="imgpreview"></p>
    <p class="download_img"><a href="" download={{model.url}}>Download</a> </p>
  </div>
  <div class="col-sm-4">
    <div class="col-sm-6">
      <button type="button" class="btn btn-{{if isLiked "success" "info" }} btn-sm" {{action "like" "isLiked"}}>
        <span class="glyphicon glyphicon-thumbs-up">Like </span> 
      </button>
    </div>
    <div class="col-sm-6">
      <button class="btn btn-default btn-sm"  {{action "addComment" commentValue}}>Comment</button> 
    </div>
    <div class="col-md-12">
      {{#if comments.length}}
        <br><br>
        {{input type="text" placeholder="Write a Comment" value=commentValue  id="commentss" enter="addComment" autofocus="autofocus"}}
        <button  class="btn btn-default btn-sm" disabled={{isDisabled}} {{action "addComment" commentValue}}>Post</button>
        <div class="comment_section" id="commentdisplay">
          {{#each comments as |comment|}}
            {{comment-component text=comment.description class="displayComments"}}
            {{#if comment.description}}
              <button class="btn btn-danger btn-xs" {{action "deleteComment" comment}}><i class="glyphicon glyphicon-trash"></i>Delete</button>
            {{/if}}
          {{/each}}
        </div>
      {{else}}
        <br><br>
        <p class="comment-body">No comments yet.</p>
      {{/if}}      
    </div>
  </div>
</div>
{{outlet}}


